package com.example.todo.server;

import java.util.ArrayList;
import java.util.List;

import com.example.todo.client.Todo;
import com.example.todo.client.TodoService;
import com.google.gwt.user.server.rpc.RemoteServiceServlet;

public class TodoServiceImpl extends RemoteServiceServlet implements TodoService {

	@Override
	public List<Todo> getTodos() {
		List<Todo> todos = new ArrayList<Todo>();
		Todo todo;
		for (int i=0; i<20; i++) {
			todo = new Todo();
			todo.setTitle("Todo "+String.valueOf(i));
			List<String> items = new ArrayList<String>();
			for (int j=0; j<20; j++) {
				items.add("Item "+String.valueOf(j));
			}
			todo.setItems(items);
			todos.add(todo);
		}
		return todos;
	}
}
