package com.example.todo.client;

import java.util.List;

import com.google.gwt.core.client.GWT;
import com.google.gwt.user.client.rpc.RemoteService;
import com.google.gwt.user.client.rpc.RemoteServiceRelativePath;

@RemoteServiceRelativePath("TodoService")
public interface TodoService extends RemoteService {
	/**
	 * Utility class for simplifying access to the instance of async service.
	 */
	public static class Util {
		private static TodoServiceAsync instance;
		public static TodoServiceAsync getInstance(){
			if (instance == null) {
				instance = GWT.create(TodoService.class);
			}
			return instance;
		}
	}
	
	public List<Todo> getTodos();
}
